## org.eclipse.datatools.modelbase.dbdefinition
Interface SequenceDefinition

All Known Implementing Classes:
  SequenceDefinitionImpl

    public interface SequenceDefinition

A representation of the model object 'Sequence Definition'.

The following features are supported:

- `Predefined Data Type Definitions`
- `Default Data Type Definition`
- `Type Enumeration Supported`
- `Cache Supported`
- `Order Supported`
- `No Maximum Value String`
- `No Minimum Value String`
- `No Cache String`
- `Cache Default Value`

See Also:
  `DatabaseDefinitionPackage.getSequenceDefinition()`

Method Summary
`int` `getCacheDefaultValue()` Returns the value of the 'Cache Default Value' attribute.
`PredefinedDataTypeDefinition` `getDefaultDataTypeDefinition()` Returns the value of the 'Default Data Type Definition' reference.
`java.lang.String` `getNoCacheString()` Returns the value of the 'No Cache String' attribute.
`java.lang.String` `getNoMaximumValueString()` Returns the value of the 'No Maximum Value String' attribute.
`java.lang.String` `getNoMinimumValueString()` Returns the value of the 'No Minimum Value String' attribute.
`EList` `getPredefinedDataTypeDefinitions()` Returns the value of the 'Predefined Data Type Definitions' reference list.
`boolean` `isCacheSupported()` Returns the value of the 'Cache Supported' attribute.
`boolean` `isOrderSupported()` Returns the value of the 'Order Supported' attribute.
`boolean` `isTypeEnumerationSupported()` Returns the value of the 'Type Enumeration Supported' attribute.
`void` `setCacheDefaultValue(int value)` Sets the value of the '`Cache Default Value`' attribute.
`void` `setCacheSupported(boolean value)` Sets the value of the '`Cache Supported`' attribute.
`void` `setDefaultDataTypeDefinition(PredefinedDataTypeDefinition value)` Sets the value of the '`Default Data Type Definition`' reference.
`void` `setNoCacheString(java.lang.String value)` Sets the value of the '`No Cache String`' attribute.
`void` `setNoMaximumValueString(java.lang.String value)` Sets the value of the '`No Maximum Value String`' attribute.
`void` `setNoMinimumValueString(java.lang.String value)` Sets the value of the '`No Minimum Value String`' attribute.
`void` `setOrderSupported(boolean value)` Sets the value of the '`Order Supported`' attribute.
`void` `setTypeEnumerationSupported(boolean value)` Sets the value of the '`Type Enumeration Supported`' attribute.

Method Detail

### getPredefinedDataTypeDefinitions

    EList getPredefinedDataTypeDefinitions()

  Returns the value of the 'Predefined Data Type Definitions' reference list. The list contents are of type `PredefinedDataTypeDefinition`.

  If the meaning of the 'Predefined Data Type Definitions' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Predefined Data Type Definitions' reference list.
  See Also:
    `DatabaseDefinitionPackage.getSequenceDefinition_PredefinedDataTypeDefinitions()`

### isTypeEnumerationSupported

    boolean isTypeEnumerationSupported()

  Returns the value of the 'Type Enumeration Supported' attribute.

  If the meaning of the 'Type Enumeration Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Enumeration Supported' attribute.
  See Also:
    `setTypeEnumerationSupported(boolean)`, `DatabaseDefinitionPackage.getSequenceDefinition_TypeEnumerationSupported()`

### setTypeEnumerationSupported

    void setTypeEnumerationSupported(boolean value)

  Sets the value of the '`Type Enumeration Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Type Enumeration Supported' attribute.
  See Also:
    `isTypeEnumerationSupported()`

### isCacheSupported

    boolean isCacheSupported()

  Returns the value of the 'Cache Supported' attribute.

  If the meaning of the 'Cache Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cache Supported' attribute.
  See Also:
    `setCacheSupported(boolean)`, `DatabaseDefinitionPackage.getSequenceDefinition_CacheSupported()`

### setCacheSupported

    void setCacheSupported(boolean value)

  Sets the value of the '`Cache Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Cache Supported' attribute.
  See Also:
    `isCacheSupported()`

### isOrderSupported

    boolean isOrderSupported()

  Returns the value of the 'Order Supported' attribute.

  If the meaning of the 'Order Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Order Supported' attribute.
  See Also:
    `setOrderSupported(boolean)`, `DatabaseDefinitionPackage.getSequenceDefinition_OrderSupported()`

### setOrderSupported

    void setOrderSupported(boolean value)

  Sets the value of the '`Order Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Order Supported' attribute.
  See Also:
    `isOrderSupported()`

### getNoMaximumValueString

    java.lang.String getNoMaximumValueString()

  Returns the value of the 'No Maximum Value String' attribute.

  If the meaning of the 'No Maximum Value String' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'No Maximum Value String' attribute.
  See Also:
    `setNoMaximumValueString(String)`, `DatabaseDefinitionPackage.getSequenceDefinition_NoMaximumValueString()`

### setNoMaximumValueString

    void setNoMaximumValueString(java.lang.String value)

  Sets the value of the '`No Maximum Value String`' attribute.

  Parameters:
    `value` - the new value of the 'No Maximum Value String' attribute.
  See Also:
    `getNoMaximumValueString()`

### getNoMinimumValueString

    java.lang.String getNoMinimumValueString()

  Returns the value of the 'No Minimum Value String' attribute.

  If the meaning of the 'No Minimum Value String' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'No Minimum Value String' attribute.
  See Also:
    `setNoMinimumValueString(String)`, `DatabaseDefinitionPackage.getSequenceDefinition_NoMinimumValueString()`

### setNoMinimumValueString

    void setNoMinimumValueString(java.lang.String value)

  Sets the value of the '`No Minimum Value String`' attribute.

  Parameters:
    `value` - the new value of the 'No Minimum Value String' attribute.
  See Also:
    `getNoMinimumValueString()`

### getNoCacheString

    java.lang.String getNoCacheString()

  Returns the value of the 'No Cache String' attribute.

  If the meaning of the 'No Cache String' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'No Cache String' attribute.
  See Also:
    `setNoCacheString(String)`, `DatabaseDefinitionPackage.getSequenceDefinition_NoCacheString()`

### setNoCacheString

    void setNoCacheString(java.lang.String value)

  Sets the value of the '`No Cache String`' attribute.

  Parameters:
    `value` - the new value of the 'No Cache String' attribute.
  See Also:
    `getNoCacheString()`

### getCacheDefaultValue

    int getCacheDefaultValue()

  Returns the value of the 'Cache Default Value' attribute.

  If the meaning of the 'Cache Default Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cache Default Value' attribute.
  See Also:
    `setCacheDefaultValue(int)`, `DatabaseDefinitionPackage.getSequenceDefinition_CacheDefaultValue()`

### setCacheDefaultValue

    void setCacheDefaultValue(int value)

  Sets the value of the '`Cache Default Value`' attribute.

  Parameters:
    `value` - the new value of the 'Cache Default Value' attribute.
  See Also:
    `getCacheDefaultValue()`

### getDefaultDataTypeDefinition

    PredefinedDataTypeDefinition getDefaultDataTypeDefinition()

  Returns the value of the 'Default Data Type Definition' reference.

  If the meaning of the 'Default Data Type Definition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Data Type Definition' reference.
  See Also:
    `setDefaultDataTypeDefinition(PredefinedDataTypeDefinition)`, `DatabaseDefinitionPackage.getSequenceDefinition_DefaultDataTypeDefinition()`

### setDefaultDataTypeDefinition

    void setDefaultDataTypeDefinition(PredefinedDataTypeDefinition value)

  Sets the value of the '`Default Data Type Definition`' reference.

  Parameters:
    `value` - the new value of the 'Default Data Type Definition' reference.
  See Also:
    `getDefaultDataTypeDefinition()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.